Subject: bug#51316: 29.0.50; Should we match the final ".git" in bug-reference autosetup?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 14:17:15 +0200

Tassilo Horn <[email-masked]> writes:

>> This is a feature request, in any case, so it should go to Emacs 29, I
>> think.
>
> I would kindly ask to reconsider.  This complete bug-reference
> auto-setup thingy is new in emacs 28, the forge setup code is even just
> a month old, and using your improved regexp doesn't seem risky at all
> and might provide a much better user experience to possibly a lot of
> users, my vote would be to fix this in emacs-28.

But it's not a bug fix, and twiddling this may lead to introducing bugs.
(All new features are nice to have.)

Tassilo Horn <[email-masked]> writes:

> With the reasoning above, I'd suggest using
>
>   "[/:]\\([.A-Za-z0-9_/-]+?\\)\\(?:\\.git/?\\)?\\'"

Doesn't match "https://github.com/emacs-mirror/emacs/", which is what this
bug report was originally about, sort of.  So I've now added a test for
this and altered the regexp to pass the test (on the trunk).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no